local helper = require('scenario/scenariohelper')

local split1 = 80
local split2 = 130
local split3 = 195
local split4 = 270
local splitEnd = 340

local currentTime = 0
local sector = 0
local dif = 0
local prefix = ""

local function onRaceWaypoint(data)
	if(data.waypointName == 'WayPoint7' or data.waypointName == 'WayPoint14' or data.waypointName == 'WayPoint21' or data.waypointName == 'WayPoint30' or 
data.waypointName == 'WayPoint35') then
		prefix = "-"
		sector = sector+1
		currentTime = string.format("%.1f", data.time)
		if sector == 1 then
			dif = currentTime - split1
		end
		if sector == 2 then
			dif = currentTime - split2
		end
		if sector == 3 then
			dif = currentTime - split3
		end
		if sector == 4 then
			dif = currentTime - split4
		end
		if(dif > 0) then
			prefix = "+"
		end
		helper.flashUiMessage('Sector '..sector..' Split Time: '..prefix..''..dif..'s', 5)
	end
end

return{
	onRaceWaypoint = onRaceWaypoint
}